# $Revision: 1.1 $, $Date: 2002/06/06 20:10:44 $
%include	/usr/lib/rpm/macros.perl
Summary:	Net::Gadu module - interface for libgadu.so library
Summary(pl):	Modu Net::Gadu - interfejs do biblioteki libgadu.so
Name:		perl-Net-Gadu
Version:	0.5.1
Release:	1	
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://krzak.linux.net.pl/perl/Net-Gadu-%{version}.tar.gz
URL:		http://krzak.linux.net.pl/perl/perlgadu.html
BuildRequires:	perl >= 5.6.1
BuildRequires:	libgadu-devel >= 0.9.0.20020605
Requires:	libgadu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Gadu module is intended to make it easy to add Gadu-Gadu
communication support to your scripts. It uses libgadu library (a part
of Ekg project - http://dev.null.pl/ekg/).

%description -l pl
Modu Net::Gadu pozwala na zastosowanie w swoich skryptach komunikacji
bazujcej na protokole Gadu-Gadu. Wykorzystuje biblioteke libgadu.so
ktora jest czescia projektu Ekg (http://dev.null.pl/ekg/).

%prep
%setup -q -n Net-Gadu-0.5.1

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/doc
install ex/ex1 example.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_sitearch}/auto/Net/Gadu
%{perl_sitearch}/auto/Net/Gadu/*
%{perl_sitearch}/Net/Gadu.pm
%{_mandir}/man3/Net::Gadu.3pm.gz
%doc Changes README example.pl

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-Gadu.spec,v $
Revision 1.1  2002/06/06 20:10:44  baseciq
- initial spec
- STBR->test

